Create Endpoint

Create a FHIR R4 Endpoint resource.

Endpoint

POST /api/fhir/r4/Endpoint

Base URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r4

Example URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r4/Endpoint

Headers

{"Accept":"application/fhir+json","Authorization":"Bearer [REDACTED]","Content-Type":"application/fhir+json"}

Parameters

ParameterInRequiredTypeDescription
No parameters

Authorization

The supported authorization model uses OAuth 2.0 scopes issued by OCI Identity Domains. Send the access token as a bearer token. Resource-server definitions and issued access-token claims use canonical system/... scopes. Client grants and token requests use the corresponding ddfssystem/... form. For examples, see Reference: Authentication and Scopes.

Context Scope form
Resource-server definition system/Endpoint.c
Client grant/token request ddfssystem/Endpoint.c
Issued token's scope claim system/Endpoint.c

Example Request

{"resourceType":"Endpoint","identifier":[{"system":"https://example.com/fhir/identifier/endpoint","value":"documentation-example"}],"status":"active","connectionType":{"system":"http://terminology.hl7.org/CodeSystem/endpoint-connection-type","code":"hl7-fhir-rest"},"payloadType":[{"coding":[{"system":"http://terminology.hl7.org/CodeSystem/data-absent-reason","code":"not-applicable","display":"Not applicable"}]}],"address":"https://example.com/fhir","managingOrganization":{"reference":"Organization/00000000-0000-4000-8000-000000000009"},"meta":{"tag":[{"system":"https://example.com/fhir/tag","code":"documentation-example","display":"Documentation example"}]},"name":"Example endpoint"}

Example Response

{
  "resourceType": "Endpoint",
  "connectionType": {
    "system": "http://terminology.hl7.org/CodeSystem/endpoint-connection-type",
    "code": "hl7-fhir-rest"
  },
  "payloadType": [
    {
      "coding": [
        {
          "system": "http://terminology.hl7.org/CodeSystem/data-absent-reason",
          "code": "not-applicable",
          "display": "Not applicable"
        }
      ]
    }
  ],
  "id": "00000000-0000-4000-8000-000000000005",
  "meta": {
    "versionId": "1",
    "lastUpdated": "2020-01-01T00:00:00Z",
    "profile": [],
    "security": [],
    "tag": [
      {
        "system": "https://example.com/fhir/tag",
        "code": "documentation-example",
        "display": "Documentation example"
      }
    ]
  },
  "identifier": [
    {
      "system": "https://example.com/fhir/identifier/endpoint",
      "value": "documentation-example"
    }
  ],
  "status": "active",
  "name": "Example endpoint",
  "managingOrganization": {
    "reference": "Organization/00000000-0000-4000-8000-000000000009"
  },
  "contact": [],
  "address": "https://example.com/fhir",
  "header": []
}

Behavior

Creates a Endpoint resource.

cURL Example

curl.exe `
  -sS `
  -X POST `
  https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r4/Endpoint `
  -H 'Accept: application/fhir+json' `
  -H 'Authorization: Bearer [REDACTED]' `
  -H 'Content-Type: application/fhir+json' `
  --data '{"resourceType":"Endpoint","identifier":[{"system":"https://example.com/fhir/identifier/endpoint","value":"documentation-example"}],"status":"active","connectionType":{"system":"http://terminology.hl7.org/CodeSystem/endpoint-connection-type","code":"hl7-fhir-rest"},"payloadType":[{"coding":[{"system":"http://terminology.hl7.org/CodeSystem/data-absent-reason","code":"not-applicable","display":"Not applicable"}]}],"address":"https://example.com/fhir","managingOrganization":{"reference":"Organization/00000000-0000-4000-8000-000000000009"},"meta":{"tag":[{"system":"https://example.com/fhir/tag","code":"documentation-example","display":"Documentation example"}]},"name":"Example endpoint"}'

Status Codes

CodeStatus
201 Created Endpoint representation.

FHIR Definition

Canonical: https://hl7.org/fhir/R4/endpoint.html

Related Operations